/* 通用变量 */


/* 全局样式 */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'PingFang SC', 'Microsoft YaHei', sans-serif;
}

body {
  color: #333;
  background-color: #f9f9f9;
  line-height: 1.6;
}

a {
  text-decoration: none;
  color: inherit;
}

p, span {
  line-height: 1;
}

h1 {
  font-size: 36px;
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
}

/* 版心 */
.wrapper {
  margin: 0 auto;
  max-width: 1200px;
}

/* 通用按钮 */
.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  border-radius: 25px;
  border: 0;
  font-weight: 500;
  font-size: 16px;
  cursor: pointer;
  transition: all 0.3s ease;
  text-align: center;
}
.btn:active {
  transform: scale(0.95);
}
.btn .icon {
  width: 20px;
  height: 20px;
  margin-left: 5px;
}

.btn-primary {
  background-color: var(--theme-color-primary);
  color: #333;
}

.btn-primary:hover {
  background-color: #E6BB00;
}

.btn-black {
  background-color: #333;
  color: #fff;
  position: relative;
  overflow: hidden;
  transition: background 0.3s, color 0.3s, box-shadow 0.3s;
}
.btn-black:active {
  transform: scale(0.97);
}

.btn-black:hover {
  background-color: #616161;
}

.btn-white {
  background-color: #fff;
  color: #333;
}

.btn-white:hover {
  background-color: #f1f1f1;
}

/* flex常用 */
.flex-row-space-between-center {
  display: flex;
  justify-content: space-between;
  align-items: center;
}